#! /usr/bin/env python
# -*- coding: utf-8 -*-

import indigo

prId = "com.berkinet.ProliphixControl"
proliphixPlugin = indigo.server.getPlugin(prId)

for tstat in indigo.devices.iter(prId):
    if tstat.enabled:
        # indigo.server.log("Refreshng data for device name: %s, Id %s" % (tstat.name, tstat.id), type='Proliphix Plugin')
        # indigo.server.log("starting device %s" % (tstat.name), type='Proliphix Plugin')
        proliphixPlugin.executeAction("readTstat", deviceId=int(tstat.id))
        # indigo.server.log("Refreshed data for device Id %s" % (tstat.name), type='Proliphix Plugin')
